=== debian/control ===
Source: ros-one-cras-topic-tools
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-catkin, ros-one-cras-cpp-common, ros-one-cras-msgs, ros-one-nodelet, ros-one-rosbag, ros-one-roscpp, ros-one-std-msgs, ros-one-topic-tools
Homepage: https://wiki.ros.org/cras_topic_tools
Standards-Version: 3.9.2

Package: ros-one-cras-topic-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-cras-cpp-common, ros-one-cras-msgs, ros-one-cras-py-common, ros-one-nodelet, ros-one-rosbag, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-topic-tools
Description: Nodes and nodeletes for safe and efficient manipulation with topics
