## ros-one-cras-topic-tools 2.5.1-41noble.20251023.1158

=== debian/changelog ===
ros-one-cras-topic-tools (2.5.1-41noble.20251023.1158) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 11:58:25 +0000

ros-one-cras-topic-tools (2.5.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-cras-topic-tools (2.5.0-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-cras-topic-tools (2.4.8-0noble) noble; urgency=high

  * Added support for ros::message_traits operations on cras::ShapeShifter on Melodic.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-cras-topic-tools (2.4.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.4.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.4.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.4.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.4.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.4.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.4.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.4.0-0noble) noble; urgency=high

  * Little fixes suggested by linters.
  * priority_mux: Added option to invert disable_topic.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.3.9-0noble) noble; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.3.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.3.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.3.6-0noble) noble; urgency=high

  * Made use of the simplified syntax of node_from_nodelet.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-topic-tools (2.3.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.3.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.3.3-0noble) noble; urgency=high

  * priority_mux: Fixed parameters incorrectly reported as required.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.3.2-0noble) noble; urgency=high

  * priority_mux: Duration of the wait before publishing the first message is now configurable.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.3.1-0noble) noble; urgency=high

  * shape_shifter: Fixed detection of header in messages.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.3.0-0noble) noble; urgency=high

  * priority_mux: Added possibility to send a message just before disabling a topic.
  * shape_shifter: Improved getHeader().
  * Increased minimum CMake version to 3.10.2.
  * priority_mux: Total rewrite, now it should really work.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.2.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.2.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.2.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.2.0-0noble) noble; urgency=high

  * Added heartbeat.
  * Simplified lazy subscriber classes and nodelet code. Added ~tcp_no_delay param to most nodelets. API breaks included, but hopefully nothing will be affected.
    API breaks:
    - LazySubscriberBase->ConditionalSubscriber
    - LazySubscriber: callback is now passed as parameter instead of being a virtual member function
    - GenericLazyPubSub: callback is now passed as parameter instead of being a virtual member function
    - the nodelets no longer have a dedicated PubSub object that would be reusable elsewhere (the minimum probability of reuse does not outweigh the code complications it brings)
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.1.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.1.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.1.0-0noble) noble; urgency=high

  * Added cras::ShapeShifter as a memory-safe option for Melodic.
  * Added a method to convert a message instance to ShapeShifter.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-topic-tools (2.0.10-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000


