## ros-one-cras-topic-tools 2.5.1-89noble.20251215.2133

=== debian/changelog ===
ros-one-cras-topic-tools (2.5.1-89noble.20251215.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:33:15 +0000
